TEXINFO="texinfo-4.13a"
TFTP_HPA="tftp-hpa-0.49"
TIFF="tiff-3.8.2"
-TK="tk8.5.8"
+TK="tk8.5.8-src"
TRANSMISSION="transmission-1.34"
UDEV="udev-151"
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-./configure \
- --prefix=/usr
-make without_doc
-make install
-ldconfig
-
-exit $?
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-export VERSION=$(echo ${1} | sed "s!tk\(.*\)!\1!g")
-export V=`echo $VERSION | cut -d "." -f 1,2`
-export DIR=$PWD
-cd unix
-sed -i "s/relid'/relid/" configure
-./configure \
- --prefix=/usr \
- --enable-threads
-make
-sed -i -e "s:${DIR}/unix:/usr/lib:" \
- -e "s:${DIR}:/usr/include/tk${V}:" tkConfig.sh
-
-make install
-install -d /usr/include/tk${V}/unix
-install -m644 *.h /usr/include/tk${V}/unix/
-install -d /usr/include/tk${V}/generic
-install -m644 ../generic/*.h /usr/include/tk${V}/generic/
-rm -f /usr/include/tk${V}/generic/{tk,tkDecls,tkPlatDecls}.h
-ln -nsf ../../include/tk${V} /usr/lib/tk${V}/include
-ln -sf libtk${V}.so /usr/lib/libtk.so
-ln -sf wish${V} /usr/bin/wish
-
-ldconfig
-
-exit $?
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-autoreconf
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --with-gnustepdir=/usr/share/GNUstep
-make
-make install
-ldconfig
-
-exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+./configure \
+ --prefix=/usr
+make without_doc
+make install
+ldconfig
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+cd unix
+./configure \
+ --prefix=/usr \
+ --enable-threads \
+ --mandir=/usr/share/man
+make
+sed -i \
+ -e "s@^\(TK_SRC_DIR='\).*@\1/usr/include'@" \
+ -e "/TK_B/s@='\(-L\)\?.*unix@='\1/usr/lib@" \
+ -e "/SEARCH/s/=.*/=''/" \
+ tkConfig.sh
+make install
+make install-private-headers
+ln -v -sf wish8.5 /usr/bin/wish
+ldconfig
+
+exit $?
update_packages_init
+lpkg 3 ${PYTHON}
+
XORG_MODULES_LIST="${XORG_APP} ${XORG_DATA} ${XORG_DRIVER} ${XORG_FONT} ${XORG_LIB} ${XORG_PROTO} ${XORG_UTIL}"
BLFS_XORG_URL=http://anduin.linuxfromscratch.org/files/BLFS/svn/xorg
ARCH_EXT=tgz fpkg ${XTERM} ftp://invisible-island.net/xterm
unset ARCH_EXT
+fpkg ${T1LIB} "http://www.ibiblio.org/pub/Linux/libs/graphics"
+
+fpkg_sf ${TK} tcl
+
+fpkg_gnu ${EMACS}
+fpkg ${WINDOWMAKER} "http://windowmaker.info/pub/source/release"
+fpkg ${WINDOWMAKER_EXTRA} "http://windowmaker.info/pub/source/release"
+
exit $?
ipkg_cust ${XTERM} cis-xterm ${XORG_CONFIG}
-exit 1
+ipkg_cust ${T1LIB} cis-t1lib
+
+ipkg_cust ${TK} cis-tk
+
+# Re-installing python now that tk is present???
+ipkg_ac ${PYTHON} "--enable-shared"
+
+ipkg_ac ${WINDOWMAKER} --with-gnustepdir=/usr/share/GNUstep
+ipkg_ac ${WINDOWMAKER_EXTRA}
#source /etc/profile